from ILUTesting import *

if iluconf_dict.has_key("ILU_CORBA_PYTHON_MAPPING"):
	test = SimpleClientServerTest ("Python (with CORBA mapping) exceptions",
				       (python_command, "clientCORBA.py",),
				       (python_command, "serverCORBA.py"))
else:
	# the ILU mapping has no provision for raising system exceptions, so
	#  pass the -nosys flag to the client to tell it not to test them
	test = SimpleClientServerTest ("Python (with ILU mapping) exceptions",
				       (python_command, "client.py", "-nosys",),
				       (python_command, "server.py"))

def run_test():

	try:
		test.run()
	except:
		sys.exit(1)

if __name__ == "__main__":
	run_test()
